/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
"use client";
import Script from "next/script";
import type { JSX } from "react";

/**
 * Renders the /polycule page.
 * @returns A React Component.
 */
const Newsletter = (): JSX.Element => {
  return (
    <>
      <main className="w-4/5 text-center
        max-w-4xl m-auto mt-16 mb-1 rounded-lg">
        <h1 className="text-5xl">{`Newsletter`}</h1>
        <p>{`Don't want to join our chat server? Not a fan of our other platforms for announcing product updates? You can subscribe to our newsletter to receive the same information via a regular ol' email.`}</p>
      </main>
      <style>
        {`.hbspt-form {
            max-width: 750px;
            margin: auto;
            background-color: #04624f;
            border-radius: 1rem;
            padding: 1rem;
            margin-bottom: 100px;
            font-family: "Fira Code", monospace;
        }`}
      </style>
      <Script
        src="//js.hsforms.net/forms/embed/v2.js"
        strategy="beforeInteractive"
        type="text/javascript"
      ></Script>
      <Script strategy="afterInteractive">
        {`hbspt.forms.create({
            portalId: "47086586",
            formId: "1ed1ea33-a8f4-4956-8ccd-f72f44765ad9",
        });`}
      </Script>
    </>
  );
};

export default Newsletter;
