/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
"use client";
import Script from "next/script";
import type { JSX } from "react";

/**
 * Renders the /polycule page.
 * @returns A React Component.
 */
const Sales = (): JSX.Element => {
  return (
    <>
      <main className="w-4/5 text-center
        max-w-4xl m-auto mt-16 mb-1 rounded-lg">
        <h1 className="text-5xl">{`Sales Inquiry`}</h1>
        <p>{`This form allows you to send a general sales inquiry to our team. Upon submission, you will be taken to our consultation booking page. Note that general inquiries are low priority - if you need an urgent response, you should use the booking page to schedule a paid consultation.`}</p>
      </main>
      <style>
        {`.hbspt-form {
            max-width: 750px;
            margin: auto;
            background-color: #04624f;
            border-radius: 1rem;
            padding: 1rem;
            margin-bottom: 100px;
            font-family: "Fira Code", monospace;
        }`}
      </style>
      <Script
        src="//js.hsforms.net/forms/embed/v2.js"
        strategy="beforeInteractive"
        type="text/javascript"
      ></Script>
      <Script strategy="afterInteractive">
        {`hbspt.forms.create({
            portalId: "47086586",
            formId: "fa90d8cb-40e2-4f36-b7a8-2bda6ac1d0cb",
        });`}
      </Script>
    </>
  );
};

export default Sales;
