/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { describe, it, expect } from "vitest";
import { TeamMembers } from "../../src/config/TeamMembers";

describe("partner objects", () => {
  it("should have unique names", () => {
    expect.assertions(1);
    const set = new Set(
      TeamMembers.map((t) => {
        return t.name;
      }),
    );
    expect(set, "are not unique").toHaveLength(TeamMembers.length);
  });

  it("should have unique avatars", () => {
    expect.assertions(1);
    const set = new Set(
      TeamMembers.map((t) => {
        return t.avatar;
      }),
    );
    expect(set, "are not unique").toHaveLength(TeamMembers.length);
  });

  it("should have no future dates", () => {
    expect.assertions(1);
    expect(TeamMembers.filter((t) => {
      return new Date(t.joinDate) > new Date();
    }), "have future dates").toHaveLength(0);
  });
});
